Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.tags
Class ClickTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.tracking.tags.ClickTag

Direct Known Subclasses:
  ClickContentTag, ClickProductTag

public class ClickTag
extends javax.servlet.jsp.tagext.TagSupport

Implements the methods necessary to support the `ClickTag` tag.

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`ClickTag()`

Method Summary
`protected java.lang.String` | `formatClickURL(java.lang.String anEventType, java.util.HashMap theArgMap)`
`java.lang.String` | `getDocumentId()` Get the value of document ID.
`java.lang.String` | `getDocumentType()` Get the value of document type.
`java.lang.String` | `getId()` Get the value of return Id.
`java.lang.String` | `getUserId()` Get the value of user id.
`void` | `release()`
`void` | `setDocumentId(java.lang.String aDocumentId)` Set the value of goto page.
`void` | `setDocumentType(java.lang.String aDocumentType)` Set the value of the document type.
`void` | `setId(java.lang.String anId)` Set the value of return id
`void` | `setUserId(java.lang.String aUserId)` Set the value of the user id.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClickTag

    public ClickTag()

Method Detail

### setId

    public void setId(java.lang.String anId)

  Set the value of return id

  Parameters:
    `anId` - Value to assign to Id.
  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Get the value of return Id.

  Returns:
    Value of item.
  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setDocumentId

    public void setDocumentId(java.lang.String aDocumentId)

  Set the value of goto page.

  Parameters:
    `aDocumentId` - Value to assign to document ID.

### getDocumentId

    public java.lang.String getDocumentId()

  Get the value of document ID.

  Returns:
    Value of item.

### setDocumentType

    public void setDocumentType(java.lang.String aDocumentType)

  Set the value of the document type.

  Parameters:
    `aDocumentType` - Value to assign to document type.

### getDocumentType

    public java.lang.String getDocumentType()

  Get the value of document type.

  Returns:
    Value of item.

### setUserId

    public void setUserId(java.lang.String aUserId)

  Set the value of the user id.

  Parameters:
    `aDocumentType` - Value to assign to user id.

### getUserId

    public java.lang.String getUserId()

  Get the value of user id.

  Returns:
    Value of item.

### formatClickURL

    protected java.lang.String formatClickURL(java.lang.String anEventType,
                                              java.util.HashMap theArgMap)

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved